function solverOptions=bicgbjacobioptions(varargin)

%retrieve options provided in varargin
options=pairoptions(varargin{:});
solverOptions=struct();
solverOptions.toolkit='petsc';


PETSC_VERSION=petscversion();
if PETSC_VERSION==3,
   solverOptions.mat_type=getfieldvalue(options, 'mat_type','mpiaij');
   solverOptions.ksp_type=getfieldvalue(options, 'ksp_type','bicg');
   solverOptions.pc_type=getfieldvalue(options, 'pc_type',  'bjacobi');
end
